Bug 8749 - XFree86-3.3.6 ... XF86_SVGA fails to display fonts on ATI Rage 128
XFree86-3.3.6 ... XF86_SVGA fails to display fonts on ATI Rage 128
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-22 11:41 EST by jens.koerber
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 15:29:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jens.koerber 2000-01-22 11:41:21 EST
workaround is to disable SetupForScanlineScreenToScreenColorExpand in
xc/programs/Xserver/hw/xfree86/vga256/drivers/r128/r128_accel.c

     a->ScratchBufferBase               = info->scratch_buffer;
     a->PingPongBuffers                 = 1;

+#if 0
     a->SetupForScanlineScreenToScreenColorExpand =
 	R128SetupForScanlineScreenToScreenColorExpand;
     a->SubsequentScanlineScreenToScreenColorExpand =
 	R128SubsequentScanlineScreenToScreenColorExpand;
+#endif
 				/* Pixmap Cache */
                                 /* x11perf -copypixpix100
 				   without: 14000.0/sec
Comment 1 Preston Brown 2000-01-24 16:44:59 EST
do you have more information on why this fix is correct and why the bug was
introduced?  Where did you get this fix information from?
Comment 2 Preston Brown 2000-02-10 15:28:59 EST
official fix from XFree included instead (XFree86-3.3.6-12 and later).

Note You need to log in before you can comment on or make changes to this bug.